/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
/*
 * Copyright (c) 2011, Alasdair Lumsden <alasdairrr@gmail.com>
 */

#ifndef _ORCHESTRATOR_LANG_CODES_H
#define	_ORCHESTRATOR_LANG_CODES_H

/*
 * This list is created from the ISO 639-1 language code list. It does
 * Not include codes for ISO 639-2 or 3 codes.
 */

#ifdef	__cplusplus
extern "C" {
#endif


struct orchestrator_langs {
	char 	*lang_code;
	char	*lang_name;
} orchestrator_lang_list[] = {
	{"aa", "Afar"},
	{"ab", "Abkhazian"},
	{"af", "Afrikaans"},
	{"am", "Amharic"},
	{"ar", "Arabic"},
	{"as", "Assamese"},
	{"ay", "Aymara"},
	{"az", "Azerbaijani"},
	{"ba", "Bashkir"},
	{"be", "Belarusian"},
	{"bg", "Bulgarian"},
	{"bh", "Bihari"},
	{"bi", "Bislama"},
	{"bn", "Bengali"},
	{"bo", "Tibetan"},
	{"br", "Breton"},
	{"ca", "Catalan"},
	{"co", "Corsican"},
	{"cs", "Czech"},
	{"cy", "Welsh"},
	{"da", "Danish"},
	{"de", "German"},
	{"dz", "Bhutani"},
	{"el", "Greek"},
	{"en", "English"},
	{"eo", "Esperanto"},
	{"es", "Spanish"},
	{"et", "Estonian"},
	{"eu", "Basque"},
	{"fa", "Persian"},
	{"fi", "Finnish"},
	{"fj", "Fiji"},
	{"fo", "Faeroese"},
	{"fr", "French"},
	{"fy", "Frisian"},
	{"ga", "Irish"},
	{"gd", "Gaelic"},
	{"gl", "Galician"},
	{"gn", "Guarani"},
	{"gu", "Gujarati"},
	{"ha", "Hausa"},
	{"hi", "Hindi"},
	{"he", "Hebrew"},
	{"hr", "Croatian"},
	{"hu", "Hungarian"},
	{"hy", "Armenian"},
	{"ia", "Interlingua"},
	{"id", "Indonesian"},
	{"ie", "Interlingue"},
	{"ik", "Inupiak"},
	{"is", "Icelandic"},
	{"it", "Italian"},
	{"iw", "Hebrew"},
	{"ja", "Japanese"},
	{"ji", "Yiddish"},
	{"jw", "Javanese"},
	{"ka", "Georgian"},
	{"kk", "Kazakh"},
	{"kl", "Greenlandic"},
	{"km", "Cambodian"},
	{"kn", "Kannada"},
	{"ko", "Korean"},
	{"ks", "Kashmiri"},
	{"ku", "Kurdish"},
	{"ky", "Kirghiz"},
	{"la", "Latin"},
	{"ln", "Lingala"},
	{"lo", "Laothian"},
	{"lt", "Lithuanian"},
	{"lv", "Latvian"},
	{"mg", "Malagasy"},
	{"mi", "Maori"},
	{"mk", "Macedonian"},
	{"ml", "Malayalam"},
	{"mn", "Mongolian"},
	{"mo", "Moldavian"},
	{"mr", "Marathi"},
	{"ms", "Malay"},
	{"mt", "Maltese"},
	{"my", "Burmese"},
	{"na", "Nauru"},
	{"nb", "Norwegian Bokmal"},
	{"ne", "Nepali"},
	{"nl", "Dutch"},
	{"nn", "Norwegian Nynorsk"},
	{"no", "Norwegian"},
	{"oc", "Occitan"},
	{"om", "Oromo"},
	{"or", "Oriya"},
	{"pa", "Punjabi"},
	{"pl", "Polish"},
	{"ps", "Pashto"},
	{"pt", "Portuguese"},
	{"qu", "Quechua"},
	{"rm", "Rhaeto-Romance"},
	{"rn", "Kirundi"},
	{"ro", "Romanian"},
	{"ru", "Russian"},
	{"rw", "Kinyarwanda"},
	{"sa", "Sanskrit"},
	{"sd", "Sindhi"},
	{"sg", "Sangro"},
	{"sh", "Serbo-Croatian"},
	{"si", "Singhalese"},
	{"sk", "Slovak"},
	{"sl", "Slovenian"},
	{"sm", "Samoan"},
	{"sn", "Shona"},
	{"so", "Somali"},
	{"sq", "Albanian"},
	{"sr", "Serbian"},
	{"ss", "Siswati"},
	{"st", "Sesotho"},
	{"su", "Sudanese"},
	{"sv", "Swedish"},
	{"sw", "Swahili"},
	{"ta", "Tamil"},
	{"te", "Telugu"},
	{"tg", "Tajik"},
	{"th", "Thai"},
	{"ti", "Tigrinya"},
	{"tk", "Turkmen"},
	{"tl", "Tagalog"},
	{"tn", "Setswana"},
	{"to", "Tonga"},
	{"tr", "Turkish"},
	{"ts", "Tsonga"},
	{"tt", "Tatar"},
	{"tw", "Twi"},
	{"uk", "Ukrainian"},
	{"ur", "Urdu"},
	{"uz", "Uzbek"},
	{"vi", "Vietnamese"},
	{"vo", "Volapuk"},
	{"wo", "Wolof"},
	{"xh", "Xhosa"},
	{"yo", "Yoruba"},
	{"zh", "Chinese"},
	{"zu", "Zulu"},
	/* C locale expansion is added per local */
	/* conventions though not a part of iso639 standard */
	{"C", "English"}
};

/*
 * This list of countries was populated from the following file:
 *   /usr/share/lib/zoneinfo/tab/country.tab
 * Please see https://www.illumos.org/issues/1490 for details
 */
struct orchestrator_countries {
	char 	*country_code;
	char	*country_name;
} orchestrator_country_list[] = {
	{"AD", "Andorra"},
	{"AE", "United Arab Emirates"},
	{"AF", "Afghanistan"},
	{"AG", "Antigua & Barbuda"},
	{"AI", "Anguilla"},
	{"AL", "Albania"},
	{"AM", "Armenia"},
	{"AN", "Netherlands Antilles"},
	{"AO", "Angola"},
	{"AQ", "Antarctica"},
	{"AR", "Argentina"},
	{"AS", "Samoa - American"},
	{"AT", "Austria"},
	{"AU", "Australia"},
	{"AW", "Aruba"},
	{"AX", "Aaland Islands"},
	{"AZ", "Azerbaijan"},
	{"BA", "Bosnia & Herzegovina"},
	{"BB", "Barbados"},
	{"BD", "Bangladesh"},
	{"BE", "Belgium"},
	{"BF", "Burkina Faso"},
	{"BG", "Bulgaria"},
	{"BH", "Bahrain"},
	{"BI", "Burundi"},
	{"BJ", "Benin"},
	{"BL", "St Barthelemy"},
	{"BM", "Bermuda"},
	{"BN", "Brunei"},
	{"BO", "Bolivia"},
	{"BR", "Brazil"},
	{"BS", "Bahamas"},
	{"BT", "Bhutan"},
	{"BV", "Bouvet Island"},
	{"BW", "Botswana"},
	{"BY", "Belarus"},
	{"BZ", "Belize"},
	{"CA", "Canada"},
	{"CC", "Cocos Keeling Islands"},
	{"CD", "Congo - Dem. Rep."},
	{"CF", "Central African Rep."},
	{"CG", "Congo - Rep."},
	{"CH", "Switzerland"},
	{"CI", "Cote d'Ivoire"},
	{"CK", "Cook Islands"},
	{"CL", "Chile"},
	{"CM", "Cameroon"},
	{"CN", "China"},
	{"CO", "Colombia"},
	{"CR", "Costa Rica"},
	{"CU", "Cuba"},
	{"CV", "Cape Verde"},
	{"CX", "Christmas Island"},
	{"CY", "Cyprus"},
	{"CZ", "Czech Republic"},
	{"DE", "Germany"},
	{"DJ", "Djibouti"},
	{"DK", "Denmark"},
	{"DM", "Dominica"},
	{"DO", "Dominican Republic"},
	{"DZ", "Algeria"},
	{"EC", "Ecuador"},
	{"EE", "Estonia"},
	{"EG", "Egypt"},
	{"EH", "Western Sahara"},
	{"ER", "Eritrea"},
	{"ES", "Spain"},
	{"ET", "Ethiopia"},
	{"FI", "Finland"},
	{"FJ", "Fiji"},
	{"FK", "Falkland Islands"},
	{"FM", "Micronesia"},
	{"FO", "Faroe Islands"},
	{"FR", "France"},
	{"GA", "Gabon"},
	{"GB", "Britain - UK"},
	{"GD", "Grenada"},
	{"GE", "Georgia"},
	{"GF", "French Guiana"},
	{"GG", "Guernsey"},
	{"GH", "Ghana"},
	{"GI", "Gibraltar"},
	{"GL", "Greenland"},
	{"GM", "Gambia"},
	{"GN", "Guinea"},
	{"GP", "Guadeloupe"},
	{"GQ", "Equatorial Guinea"},
	{"GR", "Greece"},
	{"GS", "South Georgia & the South Sandwich Islands"},
	{"GT", "Guatemala"},
	{"GU", "Guam"},
	{"GW", "Guinea-Bissau"},
	{"GY", "Guyana"},
	{"HK", "Hong Kong"},
	{"HM", "Heard Island & McDonald Islands"},
	{"HN", "Honduras"},
	{"HR", "Croatia"},
	{"HT", "Haiti"},
	{"HU", "Hungary"},
	{"ID", "Indonesia"},
	{"IE", "Ireland"},
	{"IL", "Israel"},
	{"IM", "Isle of Man"},
	{"IN", "India"},
	{"IO", "British Indian Ocean Territory"},
	{"IQ", "Iraq"},
	{"IR", "Iran"},
	{"IS", "Iceland"},
	{"IT", "Italy"},
	{"JE", "Jersey"},
	{"JM", "Jamaica"},
	{"JO", "Jordan"},
	{"JP", "Japan"},
	{"KE", "Kenya"},
	{"KG", "Kyrgyzstan"},
	{"KH", "Cambodia"},
	{"KI", "Kiribati"},
	{"KM", "Comoros"},
	{"KN", "St Kitts & Nevis"},
	{"KP", "Korea - North"},
	{"KR", "Korea - South"},
	{"KW", "Kuwait"},
	{"KY", "Cayman Islands"},
	{"KZ", "Kazakhstan"},
	{"LA", "Laos"},
	{"LB", "Lebanon"},
	{"LC", "St Lucia"},
	{"LI", "Liechtenstein"},
	{"LK", "Sri Lanka"},
	{"LR", "Liberia"},
	{"LS", "Lesotho"},
	{"LT", "Lithuania"},
	{"LU", "Luxembourg"},
	{"LV", "Latvia"},
	{"LY", "Libya"},
	{"MA", "Morocco"},
	{"MC", "Monaco"},
	{"MD", "Moldova"},
	{"ME", "Montenegro"},
	{"MF", "St Martin - French part"},
	{"MG", "Madagascar"},
	{"MH", "Marshall Islands"},
	{"MK", "Macedonia"},
	{"ML", "Mali"},
	{"MM", "Myanmar - Burma"},
	{"MN", "Mongolia"},
	{"MO", "Macao"},
	{"MP", "Northern Mariana Islands"},
	{"MQ", "Martinique"},
	{"MR", "Mauritania"},
	{"MS", "Montserrat"},
	{"MT", "Malta"},
	{"MU", "Mauritius"},
	{"MV", "Maldives"},
	{"MW", "Malawi"},
	{"MX", "Mexico"},
	{"MY", "Malaysia"},
	{"MZ", "Mozambique"},
	{"NA", "Namibia"},
	{"NC", "New Caledonia"},
	{"NE", "Niger"},
	{"NF", "Norfolk Island"},
	{"NG", "Nigeria"},
	{"NI", "Nicaragua"},
	{"NL", "Netherlands"},
	{"NO", "Norway"},
	{"NP", "Nepal"},
	{"NR", "Nauru"},
	{"NU", "Niue"},
	{"NZ", "New Zealand"},
	{"OM", "Oman"},
	{"PA", "Panama"},
	{"PE", "Peru"},
	{"PF", "French Polynesia"},
	{"PG", "Papua New Guinea"},
	{"PH", "Philippines"},
	{"PK", "Pakistan"},
	{"PL", "Poland"},
	{"PM", "St Pierre & Miquelon"},
	{"PN", "Pitcairn"},
	{"PR", "Puerto Rico"},
	{"PS", "Palestine"},
	{"PT", "Portugal"},
	{"PW", "Palau"},
	{"PY", "Paraguay"},
	{"QA", "Qatar"},
	{"RE", "Reunion"},
	{"RO", "Romania"},
	{"RS", "Serbia"},
	{"RU", "Russia"},
	{"RW", "Rwanda"},
	{"SA", "Saudi Arabia"},
	{"SB", "Solomon Islands"},
	{"SC", "Seychelles"},
	{"SD", "Sudan"},
	{"SE", "Sweden"},
	{"SG", "Singapore"},
	{"SH", "St Helena"},
	{"SI", "Slovenia"},
	{"SJ", "Svalbard & Jan Mayen"},
	{"SK", "Slovakia"},
	{"SL", "Sierra Leone"},
	{"SM", "San Marino"},
	{"SN", "Senegal"},
	{"SO", "Somalia"},
	{"SR", "Suriname"},
	{"ST", "Sao Tome & Principe"},
	{"SV", "El Salvador"},
	{"SY", "Syria"},
	{"SZ", "Swaziland"},
	{"TC", "Turks & Caicos Is"},
	{"TD", "Chad"},
	{"TF", "French Southern & Antarctic Lands"},
	{"TG", "Togo"},
	{"TH", "Thailand"},
	{"TJ", "Tajikistan"},
	{"TK", "Tokelau"},
	{"TL", "East Timor"},
	{"TM", "Turkmenistan"},
	{"TN", "Tunisia"},
	{"TO", "Tonga"},
	{"TR", "Turkey"},
	{"TT", "Trinidad & Tobago"},
	{"TV", "Tuvalu"},
	{"TW", "Taiwan"},
	{"TZ", "Tanzania"},
	{"UA", "Ukraine"},
	{"UG", "Uganda"},
	{"UM", "US minor outlying islands"},
	{"US", "United States"},
	{"UY", "Uruguay"},
	{"UZ", "Uzbekistan"},
	{"VA", "Vatican City"},
	{"VC", "St Vincent"},
	{"VE", "Venezuela"},
	{"VG", "Virgin Islands - UK"},
	{"VI", "Virgin Islands - US"},
	{"VN", "Vietnam"},
	{"VU", "Vanuatu"},
	{"WF", "Wallis & Futuna"},
	{"WS", "Samoa - Western"},
	{"YE", "Yemen"},
	{"YT", "Mayotte"},
	{"ZA", "South Africa"},
	{"ZM", "Zambia"},
	{"ZW", "Zimbabwe"},
	{"ee", "Europe - Eastern"},
	{"me", "Europe - Central"},
	{"we", "Europe - Western"}
};
#ifdef	__cplusplus
}
#endif

#endif	/* _ORCHESTRATOR_LANG_CODES_H */
